# $Revision: 1.18 $, $Date: 2010/06/06 08:38:51 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	BigInt-GMP
Summary:	Math::BigInt::GMP - use the GMP library for Math::BigInt routines
Summary(pl.UTF-8):	Math::BigInt::GMP - wykorzystanie biblioteki GMP do funkcji Math::BigInt
Name:		perl-Math-BigInt-GMP
Version:	1.24
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	de5bb548f9e8e2254565926eec1d15b2
URL:		http://search.cpan.org/dist/Math-BigInt-GMP/
BuildRequires:	gmp-devel
BuildRequires:	perl-Math-BigInt >= 1.76
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Math-BigInt >= 1.76
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::BigInt::GMP provides support for big integer calculations via
means of the GMP C-library. Math::BigInt::GMP now no longer uses
Math::GMP, but provides it's own XS layer to access the GMP C-library.
This cuts out another (perl sub routine) layer and also reduces the
memory footprint by not loading Math::GMP and Carp at all.

%description -l pl.UTF-8
Math::BigInt::GMP dostarcza obsługę obliczeń na wielkich liczbach
całkowitych z wykorzystaniem funkcjonalności biblioteki C GMP. Moduł
ten już nie używa Math::GMP, ale dostarcza własną warstwę XS do
odwoływania się do biblioteki GMP w C. Dzięki temu nie ma kolejnej
warstwy (podprocedury Perla), a wykorzystanie pamięci jest mniejsze
dzięki nie wczytywaniu modułów Math::GMP i Carp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES CREDITS LICENSE README TODO
%{perl_vendorarch}/Math/BigInt/GMP.pm
%dir %{perl_vendorarch}/auto/Math/BigInt/GMP
%{perl_vendorarch}/auto/Math/BigInt/GMP/GMP.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Math/BigInt/GMP/GMP.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-BigInt-GMP.spec,v $
Revision 1.18  2010/06/06 08:38:51  arekm
- release 3

Revision 1.17  2010/03/29 07:08:59  arekm
- release 2

Revision 1.16  2008/04/17 13:19:30  radek
- version 1.24

Revision 1.15  2008-03-24 15:51:27  qboosh
- generic URL

Revision 1.14  2008-02-10 12:14:27  arekm
- rel 2

Revision 1.13  2008-01-10 08:38:39  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.12  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.10  2005/06/01 18:29:28  qboosh
- updated Math::BigInt deps

Revision 1.9  2005/05/30 07:48:07  petec
- up to 1.18

Revision 1.8  2004/12/02 21:29:16  qboosh
- updated deps acc. to Makefile.PL (some tests fail with Math::BigInt 1.72)

Revision 1.7  2004/12/01 17:46:56  radek
- autoupdated to 1.15

Revision 1.6  2004/11/03 22:30:33  paladine
- formatting

Revision 1.5  2004/05/06 18:43:15  ankry
- fixed perl-devel BR

Revision 1.4  2004/04/23 07:50:15  ankry
- license fixes, unification

Revision 1.3  2004/04/20 23:59:35  ankry
- ported to new bconds

Revision 1.2  2004/04/09 19:12:56  adamg
- updated to 1.14

Revision 1.1  2003/06/29 10:17:49  qboosh
- new
